> ## Documentation Index
> Fetch the complete documentation index at: https://developer.vanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Trust Center update

> Adds an update to a Trust Center.



## OpenAPI

````yaml /reference/manage-vanta.json post /trust-centers/{slugId}/updates
openapi: 3.0.0
info:
  title: Manage Vanta
  version: 1.0.0
  description: >-
    The REST API lets customers query and mutate Vanta's data. Use this API to
    automate bulk actions, query data for custom workflows and dashboards, and
    bolster your security operations


    **Note for Vanta Gov (FedRAMP) customers:** Select `Vanta Gov (FedRAMP)`
    from the server dropdown to issue requests against
    `https://api.vanta-gov.com`. The OAuth token URL shown below defaults to the
    commercial host — replace it with `https://api.vanta-gov.com/oauth/token`.
  termsOfService: https://www.vanta.com/terms
  license:
    name: UNLICENSED
  contact:
    name: API Support
    url: https://help.vanta.com/
    email: support@vanta.com
servers:
  - url: https://api.vanta.com/v1
    description: Vanta (Commercial)
  - url: https://api.vanta-gov.com/v1
    description: Vanta Gov (FedRAMP)
security: []
paths:
  /trust-centers/{slugId}/updates:
    post:
      tags:
        - Trust Centers
      summary: Create Trust Center update
      description: Adds an update to a Trust Center.
      operationId: CreateTrustCenterUpdate
      parameters:
        - in: path
          name: slugId
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddTrustCenterUpdateInput'
      responses:
        '201':
          description: Trust Center update created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TrustCenterUpdateAPIResponse'
              examples:
                Example 1:
                  value:
                    id: a2f7e1b9d0c3f4e5a6c7b8d9
                    title: Example title
                    description: This is an example of an update's description.
                    category: GENERAL
                    creationDate: '2020-01-01T00:00:00.000Z'
                    updatedDate: '2020-01-01T00:00:00.000Z'
                    visibilityType: PUBLIC
                    notifiedEmails:
                      - test@test.com
      security:
        - bearerAuth: []
components:
  schemas:
    AddTrustCenterUpdateInput:
      properties:
        title:
          type: string
          description: Title of the update.
        description:
          type: string
          description: Description of the update.
        category:
          $ref: '#/components/schemas/UpdateCategory'
          description: Category of the update.
        visibilityType:
          $ref: '#/components/schemas/UpdateVisibilityType'
          description: Visibility type of the update.
        notifiedEmails:
          items:
            type: string
          type: array
          description: >-
            Additional one-off email addresses to notify. These are always sent
            regardless of `notificationTarget`.
        notificationTarget:
          $ref: '#/components/schemas/UpdateNotificationTarget'
          description: >-
            Controls which Trust Center subscribers are notified.

            - `ALL`: notifies all active subscribers

            - `GROUPS`: notifies only subscribers in the specified
            `subscriberGroupIds`

            - `NONE`: no subscribers are notified


            Note: `notifiedEmails` are always sent regardless of this value.
        subscriberGroupIds:
          items:
            type: string
          type: array
          description: >-
            IDs of subscriber groups to notify. Required when
            `notificationTarget` is `GROUPS`.
      required:
        - title
        - description
        - category
      type: object
      additionalProperties: false
    TrustCenterUpdateAPIResponse:
      properties:
        id:
          type: string
          description: Unique identifier for the update.
        title:
          type: string
          description: Title of the update.
        description:
          type: string
          description: Description of the update.
        category:
          $ref: '#/components/schemas/UpdateCategory'
          description: Category of the update.
        creationDate:
          type: string
          format: date-time
          description: Date the update was created.
        updatedDate:
          type: string
          format: date-time
          description: Date the viewer was last updated.
        visibilityType:
          $ref: '#/components/schemas/UpdateVisibilityType'
          description: Visibility type of the update.
        notifiedEmails:
          items:
            type: string
          type: array
          description: Emails to notify about the update.
      required:
        - id
        - title
        - description
        - category
        - creationDate
        - updatedDate
        - visibilityType
      type: object
      additionalProperties: false
    UpdateCategory:
      description: The possible categories for a Trust Center update.
      enum:
        - GENERAL
        - COMPLIANCE
        - SECURITY
        - PRIVACY
        - INCIDENT
        - ROADMAP
      type: string
    UpdateVisibilityType:
      description: Visibility of a Trust Center update.
      enum:
        - PUBLIC
        - PRIVATE
      type: string
    UpdateNotificationTarget:
      description: Target recipients for notifications
      enum:
        - ALL
        - GROUPS
        - NONE
      type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````